<?php

class Shopware_Plugins_Frontend_rvdwHousenumberCheck_Bootstrap extends Shopware_Components_Plugin_Bootstrap{


    public function getCapabilities(){
        return array(
            "install" => true,
            "update" => true,
            "enable" => true

        );
    }
    public function getLabel(){
            return "Housenumber Check";
        }

    public function getVersion(){
            return "1.0.0";
        }
    public function getInfo(){
            return array(
                "version" => $this->getVersion(),
                "label" => $this->getLabel(),
                "supplier" => "7synth",
                "description" => "This Plugin will check if there is a number in the street field on registration.",
                "support" => "info@7synth.com",
                "link" => "http://7synth.com",
                "author" => "R.v.d.Waydbrink",
                "copyright" => "2017 R.v.d.Waydbrink",
                "license" => "by request"
            );
        }
    public function install(){
        $this->registerEvents();
        return array(
                "success" => true,
                "invalidateCache" => array("frontend")
            );
        }
    public function uninstall(){
            return array(
                "success" => true,
                "invalidateCache" => array("frontend")
            );
        }
    private function registerEvents(){
            $this->subscribeEvent(
                "Enlight_Controller_Action_PostDispatch_Frontend",
                "onPostDispatchFrontend"
            );
        }
    public function onPostDispatchFrontend(Enlight_Event_EventArgs $arguments)
    {

        /**@var $controller Shopware_Controllers_Frontend_Index*/
        $controller = $arguments->getSubject();

        /**
         * @var $request Zend_Controller_Request_Http
         */
        $request = $controller->Request();

        /**
         * @var $response Zend_Controller_Response_Http
         */
        $response = $controller->Response();

        /**
         * @var $view Enlight_View_Default
         */
        $view = $controller->View();

        //Check if there is a template and if an exception has occured
        if(!$request->isDispatched()||$response->isException()||!$view->hasTemplate() || $request->getModuleName() != "frontend") {
            return;
        }

        //Variablen im Frontend hinzufügen
        /*$config = Shopware()->Plugins()->Frontend()->rvdwSaleSignal()->Config();
        $view->rvdwSaleSignal  = $config;
        */
        //Add our plugin template directory to load our snowflake extension.
        $view->addTemplateDir($this->Path() . 'Views/');

        $view->extendsTemplate('responsive/frontend/plugins/rvdwHousenumberCheck/index.tpl');

    }
}